


html {
    scroll-behavior: smooth;
  }
  body {
    font-family: tajawal !important;
}

  html body .content {
    padding: 0;
    position: relative;
    transition: 300ms ease all;
    backface-visibility: hidden;
    min-height: calc(100% - 2.5rem);
    margin-right: 255px;
    margin-left: 10px;
}
body.dark-layout h3.title-breadcrumb {
  color: var(--fontColor) !important;
  font-size: 28px;
  padding-left: 10px;
  padding-right: 7px;
}
.vertical-overlay-menu .main-menu .navigation li.has-sub > a:not(.mm-next):after{
  left: 7px;
  right: 200px;
}
body.vertical-layout.vertical-menu-modern.menu-collapsed .main-menu.expanded .navigation li.has-sub > a:not(.mm-next):after
{
 left: 7px;
 right: 200px;

}
.row{
    text-align: initial;
}

.mr-2, .mx-2 {
    margin-left: 1.5rem !important;
}

.mr-1, .mx-1 {
    margin-left: 1rem !important;
}

.mr-0, .mx-0 {
    margin-left: 0 !important;
}

.radio label::after {
    position: absolute;
    display: inline-flex;
    content: "";
    height: 6px;
    width: 6px;
    background-color: #5A8DEE;
    border-radius: 50%;
    right: 12px;
    opacity: 0;
    transform: scale(3.6);
}

.selection {
	text-align: right;
}

.text-left {
    text-align: right !important;
} 
  
#daily-rpt-body{
    direction: ltr;
}

.table{
    direction: rtl;
}
  
  .overlay-loader {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    background: #00000059;
    /* background: var(--bgColor) !important; */
    z-index: 999999999;
  }
  
  
  #nextIcon {
    font-size: 25px !important;
  }
  .downIcon1 {
    float: right;
    position: relative;
    top: -106px;
    width: 50%;
    display: flex;
    flex-direction: row;
    align-items: baseline;
    justify-content: flex-end;
  }
  
  .container-fluid {
    display: none;
  }
  .selectMargin {
    margin: auto;
  }
  
  
  @media screen and (min-width: 300px) and (max-width: 350px) {
    .picker__table {
      width: 100% !important;
    }
    .picker {
      top: 340px;
      position: absolute;
    }
    .picker__holder {
      left: -40px !important;
    }
  }
  
  .tdataClass {
    font-size: 0.5rem !important;
    padding: .9em .9rem !important;
  
  }
  
  
  @media screen and (min-width: 601px) and (max-width: 1000px) {
  
  .table th, .table td
  {
    /* padding: 1.0rem 1.2rem !important; */
  
  }
  
  .tdataClass {
    font-size: 0.5rem !important;
    padding: .9em .9rem !important;
  
  }
  
    .cx-report-title {
      font-size: 13px !important;
    }
    
    }
  
  @media screen and (min-width: 351px) and (max-width: 400px) {
    .picker__table {
      width: 100% !important;
    }
    .picker {
      top: 330px;
      position: absolute;
    }
  
    .picker__holder {
      left: -78px !important;
    }
  }
  @media screen and (min-width: 401px) and (max-width: 500px) {
    .picker__table {
      width: 100% !important;
    }
    .picker {
      top: 320px;
      position: absolute;
    }
  
    .picker__holder {
      left: -100px !important;
    }
  }
  @media screen and (min-width: 501px) and (max-width: 600px) {
    .picker__table {
      width: 100% !important;
    }
    .picker {
      top: 320px;
      position: absolute;
    }
  
    .picker__holder {
      left: -150px !important;
    }
  }
  
  
  @media screen and (min-width: 300px) and (max-width: 600px) {
  
    .downIcon1 {
      width: 100% !important;
      position: static;
      justify-content: flex-end;
  
    }
  
    .summary_table,
    th,
    td {
      /* font-size: 5px !important; */
    }
  
    .table th,
    .table td {
      /* padding: 0px 0px !important; */
    }
    .container-fluid {
      padding-right: 5px !important;
      padding-left: 5px !important;
    }
  
    body.dark-layout .apexcharts-canvas text {
      font-size: 6px !important;
    }
  
  
    .row {
      flex-direction: column !important;
    }
  
    .dropdown-menu {
      z-index: 20;
    }
  
    .datepicker {
      /* left: 20% !important ; */
    }
  
    .cx-center {
      padding-top: 0px !important;
    }
  
    .tableChart {
      width: 100% !important;
    }
  
    .cx-report-title {
      font-size: 11px !important;
    }
  
    h1,
    .h1 {
      font-size: 1.53rem !important;
    }
  
    .fullWidth {
      padding-left: 0px !important;
      padding-right: 0px !important;
      width: 100% !important;
    }
  }
  
  
  /* /////////For picker Date  ////////////// */
  
  body.dark-layout .dropdown-menu
  { 
    background-color: #3f3f3f;
    color: var(--fontColorDW);
  }
  
  #colorPick {
    background-color: #525252 !important;
    border-color: #525252 !important;
  }
  .v-application .justify-center {
    position: absolute !important;
  }
  
  .row {
    margin: -3px !important;
  }
  
  .v-application--wrap {
    min-height: auto !important;
  }
  
  .theme--light.v-application {
    z-index: 100;
  }
  
  #selectType {
    display: none;
    margin: auto;
  }
  
  #selectType2 {
    display: none;
    margin: auto;
  }
  
  .questionHelp1:hover #selectType {
    background-color: var(--bgColor);
    display: block;
    position: absolute;
    z-index: 10;
    top: -29px;
    right: 188px;
    border-radius: 10px;
    padding: 4px;
    font-size: small;
  }
  
  body.dark-layout .picker__input {
    background-color: none !important;
  }
  
  .questionHelp2:hover #selectType2 {
    background-color: var(--bgColor);
    display: block;
    position: absolute;
    z-index: 10;
    top: -29px;
    right: 150px;
    border-radius: 10px;
    padding: 4px;
    font-size: small;
  }
  
  #pickadate1:hover {
    cursor: pointer;
    color: chartreuse;
  }
  #choosenDate:hover {
    cursor: pointer;
    color: chartreuse;
  }
  #nextIcon:hover {
    cursor: pointer;
    color: chartreuse;
  }
  /* ///////// end picker Date //////////// */
  
  .content-body {
    /* margin: 0 auto; */
    /* width: 800px; */
    box-shadow: rgb(0 0 0 / 20%) 0px 0px 10px 5px;
    /* background-color: #ededed; */
    /* color: #525352; */
  }
  
  h1,
  /* h2, */
  h3,
  h4 {
    color: #adb9ca !important;
    /* color: #525352 !important; */
  }
  
  .newFlex1 {
    margin-left: 7.5% !important;
    display: flex;
    width: 85%;
    margin: auto;
    flex-wrap: wrap;
    align-content: space-between;
    justify-content: space-between;
  }
  .newFlex {
    display: flex;
    width: 85%;
    margin: auto;
    flex-wrap: wrap;
    align-content: space-between;
    justify-content: space-between;
  }
  .newPadding {
    padding: 45px;
  }
  
  .newTableStyle {
    width: 65% !important;
    height: 250px;
  }
  
  .tableChart th,
  .tableChart td {
    /* padding: 0.3rem 0.3rem ; */
  }
  
  .heightTable {
    height: 100%;
  }
  
  .tableChart,
  th,
  td {
    /* border: 1px solid var(--color-borde) !important;
    color: var(--fontColor);
    font-weight: normal !important;
    font-size: 12px ; */
  }
  
  .tableChart tbody td {
    color: var(--fontColor) !important;
  }
  
  .tableChart,
  tfoot,
  tr {
    /* border-color: var(--color-borde) !important; */
  }
  
  .tableChart thead th {
    /* background-color: #7d7d7d; */
  }
  
  h1, h4 {
    color: var(--fontColor) !important;
  }
  
  .tableChart {
    width: 80% !important;
    text-align: center;
    /* height: 468px; */
    /* background-color: '#575757'; */
  }
  
  .cx-report-title {
    font-weight: 300;
    font-size: 24px;
    text-align: center;
    text-transform: uppercase;
  }
  .cx-report-subtitle {
    font-weight: 300;
    font-size: 14px;
    text-align: center;
  }
  .cx-center {
    display: flex;
    justify-content: center;
    padding-top: 33px;
    /* align-items: center; */
  }
  
  body.dark-layout .apexcharts-canvas text {
    fill: #adb9ca  !important;
  }
  
  
  .page .subpage .apexcharts-canvas text {
    fill: var(--lightGray) !important;
  }
  
  .page {
    width: 21cm;
    min-height: 26cm;
    margin: 1cm auto;
  }
  .subpage {
    margin-top: -20px;
    height: 237mm;
  }
  
  @page {
    margin: 0;
  }
  @media print {
    .page {
      margin: 0;
      border: initial;
      border-radius: initial;
      width: initial;
      min-height: initial;
      box-shadow: initial;
      background: initial;
      page-break-after: always;
    }
  }
  
  .chart-desc {
    position: relative;
    top: 25px;
    left: 60px;
    height: 30px;
  }
  
  .general-info-cards {
    border-radius: 15px; 
    padding: 6px 2px;
  }
  .comparative-charts-cards{
    border-radius: 15px;
    border: 1px solid;
  }
  
  .general-info-cards_view {
    background-color: #595a5a;
    border-radius: 15px; 
    padding: 6px 2px;
    border: 1px solid;
  }
  .comparative-charts-cards_view {
    background-color: #595a5a;
    border-radius: 15px;
    border: 1px solid;
  }
  .branch-table-header_view{
    font-size: 16px;
    font-weight: bold;
    padding: 0.4rem !important;
  }
  .branch-table-cell_view{
    font-size: 14px;
    padding: 0.4rem !important;
  }
  .branch-table-header{
    font-size: 11px !important;
    font-weight: bold;
    padding: 0.4rem !important;
    color: black !important;
  }
  .branch-table-cell{
    font-size: 11px !important;
    padding: 0.4rem !important;
    color: black !important;
  }
  .bi-caret-up-fill{
    color: green !important;
    background-color: transparent !important;
  }
  .bi-caret-down-fill{
    color: red !important;
    background-color: transparent !important;
  }
  .bi-caret-right-fill{
    color: gray !important;
    background-color: transparent !important;
  }
  ::-webkit-calendar-picker-indicator {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="15" viewBox="0 0 24 24"><path fill="%23bbbbbb" d="M20 3h-1V1h-2v2H7V1H5v2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 18H4V8h16v13z"/></svg>');
  }